Bug 76378 - Typo in vobcopy breaks device detection
Summary: Typo in vobcopy breaks device detection
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-17 22:30 UTC by Nate Eldredge
Modified: 2005-02-27 15:54 UTC (History)
0 users

See Also:


Attachments
file.diff (395 bytes, patch)
2005-01-17 22:30 UTC, Nate Eldredge
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Eldredge 2005-01-17 22:30:24 UTC
The sysutils/vobcopy port has code to detect the DVD device, given the mount point.  It has an #ifdef to do this right for FreeBSD 5.x.  However,  in checking the FreeBSD version, it uses the nonexistent macro __FreeBSD_Version instead of the correct __FreeBSD_version.  Thus, when built, it does the wrong thing and tries to read from the wrong device.

Fix: (tabs may be broken here, but the fix is one byte anyway...)
How-To-Repeat: $ vobcopy -m -i /cdrom   
[Hint] You use -i. Normally this is not necessary, vobcopy finds the input dir by itself. This option is only there if vobcopy makes trouble.
[Hint] If vobcopy makes trouble, please mail me so that I can fix this (robos@muon.de). Thanks
Vobcopy 0.5.14 - GPL Copyright (c) 2001 - 2004 robos@muon.de
[Hint] All lines starting with "libdvdread:" are not from vobcopy but from the libdvdread-library

path to dvd: /dev/racd0
libdvdread: Can't stat /dev/racd0
No such file or directory

[Error] Path thingy didn't work '(null)'
[Error] Try someting like -i /cdrom, /dvd  or /mnt/dvd
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-01-18 06:21:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer.
Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-02-27 15:54:30 UTC
State Changed
From-To: open->closed

Committed, thanks!